<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 基本情報変更確認
 *
 * @package     Admin.Itemmanage.Order.Search
 * @author      T.Shimano <shimano@fuco.jp>
 * @access      public
 */
class Admin_Itemmanage_Order_Search
{   
    var $itemorder;
    var $tname;
    var $div;


    // タイトル
    var $title;
    var $pagename;
	
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Itemmanage_Order_Searchが実行されました", "Admin_Itemmanage_Order_Search#execute");

        return 'success';
    }
    
    function getSearchKey()
    {
    	return $this->itemorder;
    }


    function getItemdivRadio()
    {
        $div = (empty($this->div)) ? 2 : 1;
        if (empty($div)) {
            $itemdivradio = $this->tname->selectDivAll(1);
        } elseif ($div==1) {
            $where = " AND namecd <= 10 ";
            $itemdivradio = $this->tname->selectDivTerm(1, $where);
        } elseif ($div==2) {
            $where = " AND namecd >= 11 ";
            $itemdivradio = $this->tname->selectDivTerm(1, $where);
        }
        return $itemdivradio;
    }
    function getMediaRadio()
    {
        $mediaradio = $this->tname->selectDivAll(4);
        return $mediaradio;
    }
}
?>
